function decept=NisB(x,middle,triangle,structure,smooth, quantis)
%{
 For a function, estimates the rates  NisB, NisW, NisL
The search space must be [0,1]^D
%}
zero=2*eps;
%xSolOnly=1; % If 2, we consider only triplets (xMin, x2,x3)
%                 in which xMin is the position of the global minimum

% Initialises
nisB=0; % Nearer is better
nisW=0; % Nearer is worse
nisL=0; % Neither worse nor better
toQuantis=sum(quantis)>0; % *** Useless for the moment

accuracy=10^(-4);
  
%-------------------------------------------------------------------------
  [nbDom,D]=size(middle);
  [fMin,Ind]=min(structure(:,D+3));  % Global minimum
  xMin=middle(Ind,:); % Global minimum position
fprintf('\n xMin %f',xMin)

for xSolOnly=1:2
  noStop=true;
  prNisBprev(xSolOnly)=2; % Arbitrary high value
  N=0;
  nisB=0;
  nisL=0;
  nisW=0;
        % Generates and examines Sample sets of three points

    while noStop 
    %for n=1:50000
    	if xSolOnly==2
    		x1=xMin;
    	else 
    		x1=  rand(1,D);
     	end
      	
      if toQuantis
          x1=quantify(x1,quantis);
       end
                
      diff=false; % The three positions must be different
      while ~diff
        x2=rand(1,D);
        if toQuantis
          x2=quantify(x2,quantis);
        end
        
        dist12=pdist2(x1,x2);
        if dist12<zero % Same point as x1?
        	continue;
        	
        else % Here x2 # x1
        	x3=rand(1,D);
         	if toQuantis
          	x3=quantify(x3,quantis);
        	end
        
        	dist13=pdist2(x1,x3);
        	if dist13<zero % Same point as x1?
        		continue;
          else % Here x3 # x1
        		dist23=pdist2(x2,x3);
        		if dist23<zero % Same point as x2?
        			continue;
        		end
       	 	end % if dist13<zero
       	 	
       	 diff=true;	 % The three points are pairwise different
        end % if dist12<zero
      end % while ~diff    
 
       N=N+1; % This triplet is OK
       
      % Sorts
      f1=valuex(x1,x,middle,triangle,structure,smooth);
      f2=valuex(x2,x,middle,triangle,structure,smooth);
      f3=valuex(x3,x,middle,triangle,structure,smooth);
      xx=[x1;x2;x3];
      [f, Ind]=sort([f1,f2,f3]);
   
      xx=xx(Ind,:); % We have f(1)<=f(2)<=f(3)
      
      dist12=pdist2(xx(1,:),xx(2,:));
      dist13=pdist2(xx(1,:),xx(3,:));
      
      if f(2)<f(3) fcase=1; end
      if f(2)==f(3) fcase=2; end
     
      if dist12<dist13 dcase=1; end
      if dist12==dist13 dcase=2; end
      if dist12>dist13 dcase=3; end

      
      switch fcase
        case 1 % f(2)<f(3)
          switch dcase
            case 1 % dist12<dist13
               nisB=nisB+1;
            case 2 % dist12==dist13
               nisL=nisL+1;
            case 3 % dist12>dist13
              nisW=nisW+1;
          end       
          
        case 2 % f(2)==f(3)
           nisL=nisL+1;
   
      end
      
      prNisB(xSolOnly)=nisB/N;
      prNisL(xSolOnly)=nisL/N;
      prNisW(xSolOnly)=nisW/N;
 
     
        %fprintf('\n N %i',N);fprintf(' =>  prNisB %e, prNisL %e',prNisB, prNisL); 
 
        deltaPr(xSolOnly)=abs(prNisB(xSolOnly)-prNisBprev(xSolOnly));
        noStop=~( N>3000*D && deltaPr(xSolOnly)<accuracy);
        prNisBprev(xSolOnly)=prNisB(xSolOnly);
        fprintf('\n N %i,nisB %i, prNisB %f, delta %f',N,nisB,prNisB(xSolOnly),deltaPr(xSolOnly))

    end % while noStop
end
    
   % prNisW=1-(prNisB+prNisL);
    fprintf('\n Over all triplets:')
    fprintf('\n N %i, prNisB %f,prNisL %f, prNisW %f, accuracy %f \n',...
      N,prNisB(1),prNisL(1),prNisW(1),accuracy);
     fprintf('\n Over triplets {x*,x2,x3}:')
    fprintf('\n N %i, prNisB %f,prNisL %f, prNisW %f, accuracy %f \n',...
      N,prNisB(2),prNisL(2),prNisW(2),accuracy);
    fprintf('\n no-pPcM %f',prNisL(1)+prNisW(1));
    fprintf('\n no-pPcM* %f \n',prNisL(2)+prNisW(2));

   fprintf('\n Check=1, %f %f',prNisB +prNisL+prNisW)
    decept=prNisW+prNisL;

end
