function dispStruct(structure)
% Display a structure, i.e. basins and plateaus
gui=true;

[nbDom,D3]=size(structure);

if gui % Graphical display
  for n=1:nbDom
    if structure(n,1)==0
      pValue=structure(n,2);
      type{n}='Plateau';
      value{n}=pValue;
    else
      minValue=structure(n,D3);
     type{n}='Basin';
     value{n}=minValue;
    end
  end % for n=1:nbDom
  
  type=type';
  value=value';
  d=[type value];

 title='Structure of the domains';
  f = figure('NumberTitle', 'off','MenuBar','none');
  f.Name=title;
  f.Units='normalized';
  f.Position=[0.2 0.15 0.2 0.5];
  
  t = uitable(f);
  t.Units='normalized';
  t.Position=[0.1 0.15 0.8 0.8];
  t.ColumnName = {'Type','("middle point") value'};
  t.FontSize=15;
  t.ColumnWidth={120 120};
  t.Data = d;
else % Normal display
  
  fprintf('\n --- Structure ---')
  for n=1:nbDom
    nstr=num2str(n);
    fprintf('\n %i -  ',n)
    if structure(n,1)==0
      pValue=structure(n,2);
      fprintf('Plateau %f',pValue);
    else
      minValue=structure(n,D3);
      fprintf('Basin, minimum value %f',minValue);
    end
  end % for n=1:nbDom
  
  fprintf('\n');
  end  % if gui

end