function domain2Dplot(x,middle, triangle,structure)

h=figure('Units','normalized',...
  'NumberTitle','off', 'Name', 'Triangulation',...
  'Position',[0.5 0.1 0.3 0.4]);

triplot(triangle,x(:,1),x(:,2));
xlabel('x'); 
ylabel('y');
set(get(gca,'YLabel'),'Rotation',0);

[nbDom,D1]=size(triangle);
D=D1-1;

% Highlights the plateau(s)
hold on
for nDom=1:nbDom
  if structure(nDom,1)==1 continue;
  else
    v=x(triangle(nDom,:),:);
    patch(v(:,1),v(:,2),'green');
  end
end


% Add the middle points fo the basins
for nDom=1:nbDom
  if structure(nDom,1)==0 continue; end
  plot(middle(nDom,1), middle(nDom,2),'Marker','*',...
    'MarkerEdgeColor','b','MarkerFaceColor','b');
end

% Hightligh the best middle
[minMiddle, Ind  ]=sort(structure(:,D+3),'ascend');
minDom=Ind(1);
 plot(middle(minDom,1), middle(minDom,2),'Marker','*',...
    'MarkerEdgeColor','r','MarkerFaceColor','r',...
    'MarkerSize',8);

hold off
end
