function pos=initCorners(quantis,init)
%	Defines the positions of the corners, and, optionnaly, of the center

D=length(quantis);
nbPos=2^D; % Total number of corners

% Corners
pos(1,1:D)=zeros(1,D); % The first one is [0, ... 0]
%{

%													(remember that the search space is normalised)

% For each number of 1 (i.e. 1, 2, D-1)
% we define the position [1 1...1, 0, ...0]
% then all its permutations, and we keep only the ones that are different.
% Note: there is surely a clever way to do that!
for d=1:D-1
  posTemp=[ones(1,d) zeros(1,D-d)];
  permsPos=perms(posTemp);
 %disp(size(permsPos))
  arr=unique(permsPos,'rows');
  pos=[pos;arr];
end
pos(nbPos,1:D)=ones(1,D); % The last one is [1, ... 1]
%}

for n=2:nbPos
	p=de2bi(n-1);
	lp=D-length(p);
	if lp>0
		pos(n,1:D)=[p zeros(1,lp)];
	else
		pos(n,1:D)=p;
	end
end


if init>1  % Center
  nbPos=nbPos+1;
  pos(nbPos,:)=0.5;
end

if sum(quantis)>0
  for s=1:nbPos
    pos(s,:)=quantify(pos(s,:), quantis);
  end
end
