function landPlateau
 [x,middle,triangle,structure,smooth,D]=landRead;
 if isempty(x)
   warndlg('No entry, I give up');
    return
 end
 
 [nbDom,~]=size(structure);
 dispStruct(structure);

  title =  'Selecting amongst %i domains';
  TIT=sprintf(title,nbDom);
prompt = {
  'Domains ','Common plateau value for these domains'
  };

% Defines the example (default values)
pList={''};
pRank=randperm(nbDom,2);
for p=1:2
pList=strcat(pList, {num2str(p)},{' '});
end

defaultans =[ pList, '0.5'];

% Asks for the list
N=strlength(title)+25;
answer = inputdlg(prompt,TIT,[1 N],defaultans);

    if isempty(answer)
     warndlg('No entry, I give up');
    return
    end 

    % Extracts the list of domains
    remain=answer{1};
    nList=0;  
    while (remain ~= "")
      [token, remain]=strtok(remain);
      if ~isempty(token)
         nList=nList+1;
      domList(nList) = str2num(token);
      end
    end
    
    % Checks if consistent
    for n=1:nList
      if domList(n)<1 || domList(n)>nbDom
        errordlg('Sorry, but your list of domains is not consistent')
        return
      end
    end
    
    % Assigns the common value by modifying the structure
    value=str2num(answer{2});
    
    for n=1:nList
      structure(domList(n),1)=0; % Say it is a plateau
      structure(domList(n),2)=value; % No need to modify the other values   
    end
    
    % If D=1 or 2, plots the results
     if D<3
      landPlot(x,middle,triangle, structure,smooth);
     end
    
     % Re-display structure
     dispStruct(structure);
    
    % Ask to save the new landscape
   landSave(x,middle,triangle,structure,smooth);
       
end