function landPlot(x,middle,triangle, structure,smooth,fileName)
% Plots a landscape 
% Dimension 1 or 2

global regular
global plot10000
if ~plot10000 
 return;
end

%clear valuex
regular=false;

[~,D1]=size(triangle);
D=D1-1;

switch D
  case 1
  u(1)=0;
  n=1000; 
  du=1/(n-1);
  
  for i=2:n
    u(i)=u(i-1)+du;
  end
   f=[];
  for i=1:n
     f(i)=valuex(u(i),x,middle,triangle,structure,smooth);
  end
  
  h=figure('NumberTitle','off');
  if exist('fileName')
    h.Name=fileName;
  end
  
  hp=plot(u,f, 'LineWidth',2);
  axis([min(u) max(u) min(f)  max(f)+2*eps]);
   xlabel('x'); ylabel('f')
   set(get(gca,'YLabel'),'Rotation',0);
  drawnow % To display without waiting the end of the run
  
  case 2
%disp(x);disp(middle);disp(triangle);disp(structure);   
  n=100; %100
  u=linspace(eps,1-eps,n);
  y=u;
     h = waitbar(0,'I prepare the plot. Please wait...');
  for i=1:n
      waitbar(i/n)  
    for j=1:n    
     f(i,j)=valuex([u(i),y(j)],x,middle,triangle,structure,smooth);
   % fprintf('\n %f %f => %f',u(i),y(j),f(i,j))

    end
  end
      close (h)
      
    h=figure('NumberTitle','off',...
      'Name', 'Landscape');
    if exist('fileName')
    h.Name=fileName;
  end
  hs=surfc(u,y,f); %surf(u,y,f);
  ax=gca;
  ax.YAxisLocation = 'left';
  xlabel('y'); ylabel('x'); % Just for easier comparison with the
  axis ij;                  % following figure (the domains)
  view(-104,40);
  
  % Also plots the underlying domains (D-triangles)
  domain2Dplot(x,middle, triangle,structure);
  drawnow
  
  % Just for information, value and position of the plotted minimum
   [fBest,Ind]=min(f(:));
    [iMin, jMin] = ind2sub(size(f),Ind);
  fprintf('\n min value for the plot: %f',fBest);
  fprintf('\n on (%f %f)',u(iMin), u(jMin));
      
  otherwise
  %fprintf('\nWARNING.  landPlot.')
  %fprintf(' I can plot only for dimension 1 or 2. here it is %i', D);
  hw=warndlg({' I can plot only for dimension 1 or 2'...
    'You should use Cross section'...
    });
  hw.Position=hw.Position+[40 40 0 0];
end 
end
