function landSection
domainSect=[];
structureSect=[];
clear value

newSection=true;
countSection=-1;
posDelta=[30 -30 0 0];

[x,middle,triangle,structure,smooth,D]=landRead;
if D==0
  warndlg('No entry, I give up');
  return
end

while newSection
  switch D
    case 1
      warndlg({'Dimension =1. No cross section is possible' 'I give up'});
      return
      
    case 2
      Dsect=1;
      
    otherwise
      qstring='Cross section along how many dimensions?';
      choice = questdlg(qstring,' ','1','2','2');
      
      % Handle response
      switch choice
        case '1'
          Dsect = 1;
        case '2'
          Dsect = 2;
      end
      
  end %  switch D
  
  switch Dsect
    case 1
      % Which dimension?
      title =  'Selecting amongst %i dimensions';
      TIT=sprintf(title,D);
      prompt = {
        'Dimension for the cross section',...
        };
      
      defaultans ={ '1'};
      N=strlength(title)+25;
      answer = inputdlg(prompt,TIT,[1 N],defaultans);
      
      if isempty(answer)
        warndlg('No entry, I give up');
        return
      end
      
      % Checks if consistent
      D1=str2num(answer{1});
      if D1<1 || D1>D
        OK=false;
      else
        OK=true;
      end
      
      if ~OK
        warndlg('Dimensions are not consistent. I give up');
        return
      end
      
      title='Values for the other dimensions';
      line=0;
      pr={};
      for d=1:D
        if d==D1; continue; end
        line=line+1;
        pr{line}=...
          sprintf(' Value for dimension %i in [0,1]',d);
      end
      
      prompt={};
      defaultans={};
      for l=1:line
        prompt=[prompt pr{l}];
        defaultans=[defaultans '0.5'];
      end
      
      N=strlength(title)+25;
      answer = inputdlg(prompt,title,[1 N],defaultans);
      if isempty(answer)
        warndlg('No entry, I give up');
        return
      end
      
      % Checks consistency
      OK=true;
      for l=1:line
        v(l)=str2num(answer{l});
        if v(l)<0 || v(l)>1
          OK=false;
          break;
        end
      end
      
      if ~OK
        warndlg('All values must be in [0,1]. I give up');
        return
      end
      
      % Plots    
      n=100;
      x1=linspace(eps,1-eps,n);
      f=[];
      
      for i=1:n
        % Defines the 1D section
        line=0;
        for d=1:D
          if d==D1 continue; end
          line=line+1;
          X(d)=v(l);
        end
        
        X(D1)=x1(i);
        f(i)=valuex(X,x,middle,triangle, structure,smooth);
      end
      
      % Plots it
      countSection=countSection+1; % Just to slightly shift the figure
      h=figure;
      h.Position=h.Position+countSection*posDelta;
      
      plot(x1,f, 'LineWidth',2);
      axis([min(x1) max(x1) min(f)  max(f)]);
     
      
    case 2
      % Which dimensions?
      title =  'Selecting amongst %i dimensions';
      TIT=sprintf(title,D);
      prompt = {
        'Dimension 1',...
        'Dimension 2'
        };
      
      defaultans ={ '1' '2'};
      N=strlength(title)+25;
      answer = inputdlg(prompt,TIT,[1 N],defaultans);
      
      if isempty(answer)
        warndlg('No entry, I give up');
        return
      end
      
      % Checks if consistent
      D1=str2num(answer{1});
      D2=str2num(answer{2});
      
      OK=true;
      if D1>D || D2>D OK=false; end
      if D1==D2 OK=false;end
      if D1<1 || D1>D OK=false; end
      if D2<1 || D2>D OK=false; end
      
      if ~OK
        warndlg('Dimensions are not consistent. I give up');
        return
      end
      
      title='Values for the other dimensions';
      line=0;
      pr={};
      for d=1:D
        if d==D1; continue; end
        if d==D2; continue; end
        line=line+1;
        pr{line}=...
          sprintf(' Value for dimension %i in [0,1]',d);
      end
      
      prompt={};
      defaultans={};
      for l=1:line
        prompt=[prompt pr{l}];
        defaultans=[defaultans '0.5'];
      end
      
      N=strlength(title)+25;
      answer = inputdlg(prompt,title,[1 N],defaultans);
      if isempty(answer)
        warndlg('No entry, I give up');
        return
      end
      
      % Checks consistency
      OK=true;
      for l=1:line
        v(l)=str2num(answer{l});
        if v(l)<0 || v(l)>1
          OK=false;
          break;
        end
      end
      
      if ~OK
        warndlg('All values must be in [0,1]. I give up');
        return
      end
      
      % Plots
      n=100;
      x1=linspace(eps,1-eps,n);
      f=[];
      
      h = waitbar(0,'Preparing the cross section. Please wait...');
      for i=1:n
        waitbar(i/n)
        for j=1:n
          % Defines the 2D section
          line=0;
          for d=1:D
            if d==D1 continue; end
            if d==D2 continue; end
            line=line+1;
            X(d)=v(l);
          end
          
          X(D1)=x1(i);
          X(D2)=x1(j);
          f(i,j)=valuex(X,x,middle,triangle,structure,smooth);
        end
      end
      close (h);
      
      % Plots it   
      countSection=countSection+1; % Just to slightly shift the figure
      h=figure;
      h.Position=h.Position+countSection*posDelta;
      surf(x1,x1,f);
      xlabel('x'); ylabel('y');
      
      
  end %  switch Dsect
  
  answ=dialogYN('Would you like a new cross section?');
  newSection=answ==1;
  
end % while newSection
end