function X=sphereEqui(N,D, r)
% Put N points approximatively equidistant on a D-sphere of radius r
% D>=2
if ~exist('r') r=1; end

switch D
  case 2 % Disc. Exact distribution
    phi1=linspace(0,2*pi,N);
    
    for n=1:N
      X(n,1)=cos(phi1(n));
      X(n,2)=sin(phi1(n));
    end
    
    plot(X(:,1), X(:,2));
    
  case 3 % Sphere.  Approximation by spiral
    goldenAngle = pi * (3 - sqrt(5));
theta = goldenAngle *[1:N] ;
z = linspace(1 - 1/N, 1/N - 1, N);
radius = sqrt(1 - z.* z);
 
X=zeros(N,3);
X(:,1) = radius .* cos(theta);
X(:,2) = radius .* sin(theta);
X(:,3) = z; 

X=r*X;
scatter3(X(:,1),X(:,2),X(:,3),'filled');
    
  otherwise % Hypersphere
 % TO MODIFY   
    for d=1:D-2
      phiA(d,:)=linspace(0,pi,N);
    end
    phiB=linspace(0,2*pi,N); % For D-1
    
    for n=1:N
      X(n,1)=cos(phiA(1,n));
      
      for d=2:D-1
        X(n,d)=prod(sin(phiA(1:d-1,n))) * cos(phiB(n));
      end
      
      X(n,D)=prod(sin(phiA(:,n)))*sin(phiB(n));
    end 
    
    x=r*X;
end


end