function f=TSPeval(x)
%{
Experimental. 
APS is not designed for Traveling Salesman problem
but we can try to see this problem as a discrete one under some constraints
that are taken into account thanks to penalties
%}
global net  Atsp maxAtsp
discrete=true; % If false, tries a continuous method (experimental)

 [D, ~]=size(net);

if discrete
% x =>  nearest acceptable integers
nodes=round(x); 
nodes=min(D,max(1,nodes));

% Cost of the tour
	f=0;
	for k1=1:D-1
			f=f+net(nodes(k1),nodes(k1+1));
	end
	f=f+net(nodes(D),nodes(1));
	
	%fprintf('\n Tour \n')
	%fprintf('%i ',nodes); fprintf(' => cost %i', f)

  % Penalty because of incomplete tour (not all nodes are used)
  f2=penalty(nodes);

%f2=(D-1)*maxAtsp*(1-(dupl-D+1)^2/(D-1)^2);
%f2=maxAtsp*dupl^2;

%fprintf('\n Penalty for duplicate nodes: %i',f2)

f=f+f2;
%fprintf('\n Total cost: %i',f)

else % Continuous method
% WARNING: you have to count two FEs instead of just one
% One may save positions already evaluated in order to not evaluate twice
% the same position
  
  % Segment in the D-space
  Ix=floor(x);
  Jx=ceil(x);
  
  Ix=max(1,Ix);
  Jx=min(D,Jx);
  
 % disp(Ix); disp(Jx)
 
  % Evaluate
  fIx=0;
	for k1=1:D-1
			fIx=fIx+net(Ix(k1),Ix(k1+1));
	end
	fIx=fIx+net(Ix(D),Ix(1));
  fIx=fIx+penalty(Ix);

  % Evaluate
  fJx=0;
	for k1=1:D-1
			fJx=fJx+net(Jx(k1),Jx(k1+1));
	end
	fJx=fJx+net(Jx(D),Jx(1));
  fJx=fJx+penalty(Jx);
  
  %fprintf('\n fIx %f',fIx); fprintf('\n fJx %f',fJx);
  
  % Linear interpolation
   l=sum(Jx-Ix)/D;
  f=fIx+l*(fJx-fIx);

end

end
%===============================================================================
function f2=penalty(nodes)
  global maxAtsp

  D=length(nodes);
nodesS=sort(nodes);

dupl=0;
for d=1:D-1
 if nodesS(d+1)==nodesS(d) 
  dupl=dupl+1;
 end
end
f2=dupl*maxAtsp;
end