%========================================================================= fEval
function [fx,FEs]=fEval(xNorm, fun, opt_f,FuncAddr,FEs, LB, UB,quantis)
global keepAll
global xTot % TEST, signature
global fTot  % TEST, entropy
global savePos
global signature
global TSP

if ~isempty(quantis)
  xNorm=quantify(xNorm,quantis);
end
xNorm=min(max(xNorm,0),1); % In case searchSpaceExpand is >0
%  the position may be outside the definition space.
% Therefore we evaluate just a near one.


 p=size(xNorm);
 if p(2)==1
   xN=xNorm';
  else
  xN=xNorm;
  end

x=LB+(UB-LB).*xN;


if TSP
  fx=TSPeval(x);
  FEs=FEs+1;
else
 % if FuncAddr==4  % Special call for CEC 2013
 %  fx= cec13_func(x',fun); 
 % else

  fx = FuncAddr(x, fun, opt_f);
  
  % Unfortunately, there are  sometimes bugs in function evaluations
  % and the position can not be evaluated
  %  (see for example CEC 2011 competition, functions 5 and 6)
  if isnan(fx)
    fx=10^10; % Inf can not be used, for fmincon does not accept it
  else
    FEs=FEs+1;
  end
  %end
end

if exist('savePost')   % Just for tests
  if savePos
  xTot=[xTot;x];
  fTot=[fTot fx]; % TEST, entropy
  end
end

if exist('signature') 
  if signature
  xTot=[xTot;x];
  end
end

end