function [LB,UB]=multiparaboloidDefine(D)
       global  nbParabD localMinF sizeA  sameMinF indParab globMin
       
    %rng(123456789); % Initialise the RNG for reproducible landscape
                    % Modify it to have another landscape.
    %----------------------------------------------------------------------
    LB=zeros(1,D);
    UB=ones(1,D); 
    nbParabD=5; % Number of intervals on each dimension
    %             => nbParabD^D domains (D-cubes)
    sameMinF=0; % Common value of the local minima, if >0
    %             if <=0, then random values (see localMinF)
    plateauRate=0; % useful only if sameMinF==0
       npd=nbParabD^D;
    
    if sameMinF<=0 
      localMinF=0.1 +0.9*rand(1,npd); % Values of the minima. 

    % Replace some paraboloids by a plateau
    nbPlateau=plateauRate*npd;
    for n=1:nbPlateau
      localMinF(randi(npd))=1;
    end
    end
     
    % Define the global minimum position (value zero)
    globMin=randi(npd);
    localMinF(globMin)=0;
     sizeA=[]; for d=1:D sizeA=[sizeA nbParabD]; end;
   
     % Display its position                       
      [out{1:D}]=ind2sub(sizeA,globMin);
       indParab=cell2mat(out);
       fprintf('\n The theoretical minimum zero is on \n'); 
       disp((indParab-0.5)/nbParabD)
       
       % delta0 difficulty
delta0=multiparaboloidDelta0(nbParabD,localMinF, sizeA,  sameMinF,...
globMin);

end