function multiparaboloidTest(D)
% Just for dimension D=1 or 2
global  nbParabD localMinF sizeA  sameMinF indParab globMin

multiparaboloidDefine(D); % See the hard coded parameters in it

% Plot
switch D
  case 1
    u(1)=0;
    n=1000;
    du=1/(n-1);
    
    for i=2:n
      u(i)=u(i-1)+du;
    end
    f=[];
    for i=1:n
      f(i)=multiparaboloid(u(i),nbParabD,localMinF, sizeA,  sameMinF,...
        indParab) ;
    end
    
    h=figure('NumberTitle','off');
    
    hp=plot(u,f, 'LineWidth',2);
    axis([min(u) max(u) min(f)  max(f)+2*eps]);
    xlabel('x'); ylabel('f')
    set(get(gca,'YLabel'),'Rotation',0);
    
  case 2
    n=50; 
    u=linspace(0,1,n);
    y=u;
    
    h = waitbar(0,'I prepare the plot. Please wait...');
    for i=1:n
      waitbar(i/n)
      for j=1:n
        f(i,j)=multiparaboloid([u(i);y(j)],nbParabD,localMinF, sizeA,...
          sameMinF,indParab) ;
     %fprintf('\n i %i, j %i, u %f, y %f, f %f',i,j,u(i), y(j),f(i,j))
      end
    end
    figure
    hs=surfc(u,y,f); 
    ax=gca;
    ax.YAxisLocation = 'left';
    xlabel('y'); ylabel('x'); % Just for easier comparison with the
    axis ij;                  % following figure (the domains)
    view(-104,40);
    close (h)
end

end
