function plotF(funct)
figure
switch funct
  case -6 % Biparaboloid
    D=2;
     xSol1(1)=1/4;
    xSol2(1)=3/4;
    if D>1
      for d=2:D
        xSol1(d)=1/2;
        xSol2(d)=1/2;
      end
    end
   fmax=1/16+(D-1)/4;
    shift2=0.001;
 
  u=linspace(0,1,100);
n=length(u);
for n1=1:n
  for n2=1:n
    x=[u(n1) u(n2)];
     dx1=x-xSol1;
    dx2=x-xSol2;
    dist1=norm(dx1);
    dist2=norm(dx2);
  
    if dist1<dist2
      z=dist1^2;
      f(n1,n2)=z/fmax;
    else
      z=dist2^2;
      f(n1,n2)=shift2+(1-shift2)*z/fmax;
    end
      
  end
end
[x,y] = meshgrid(u,u);
surf(x,y,f)
  
    
    
   
    
  case 1 % Unimodale piece-wise linear
    a=0.2;
    x=linspace(0,1,100);
    for n=1:100
    if  x(n)<a f(n)=1-x(n)/a;
    else f(n)=(x(n)-a)/(1-a);
    end
    end
    
    plot(x,f)
    
case 11 % Griewank 1D
f = @(x)( 1 + x.^2/4000 - cos(x) );
x=-600:10:600;
plot(x,f(x))

case 12 %Griewank 2D
%f = @(x,y)( 1 + (x^2+y^2)/4000 - cos(x)*cos(y)/sqrt(2) );
%[x,y] = meshgrid(-600:5:600,-600:5:600);
%u=linspace(-1,1,100);
%u=-600:10:600;
%[x,y] = meshgrid(u,u);
%surf(x,y,reshape(f([x(:) y(:)]'),size(x)))
%surf(x,y,f(x,y));
%view(3)
u=-600:10:600;
n=length(u);
for n1=1:n
  for n2=1:n
    f(n1,n2)=griewank([u(n1) u(n2)]);
  end
end
[x,y] = meshgrid(u,u);
surf(x,y,f)

  case 21 % Alpine 1D
    f = @(x)(abs(x.*sin(x)) + 0.1*abs(x));
x=0:0.1:10;
plot(x,f(x))

  case 22 % Alpine 2D
    u=linspace(0,8,100);
n=length(u);
for n1=1:n
  for n2=1:n
    f(n1,n2)=alpine([u(n1) u(n2)]);
  end
end
[x,y] = meshgrid(u,u);
surf(x,y,f)


end
end
%===============================
function f=griewank(x)
D=length(x);
s=0; p=1;
   for d=1:D
   	s=s+x(d)^2;
   	p=p*cos(x(d)/sqrt(d));
   end
   f=1+s/4000-p;
end
%=============================== % Alpine. Minimum (1,2,...,D)
function f=alpine(x)
D=length(x);
for d=1:D 
    		xd(d)=x(d)-d; 
    	end
        f = sum(abs(xd.*sin(xd)) + 0.1*abs(xd));
end
