function [x] = alea_sphere(D, radius,density,rEquiv)
%*  ******* Random point in a hypersphere ********
% Developed by: Maurice Clerc (May 2011)
% Last update: 2017-11

% Put  a random point inside the hypersphere S(0,radius)
% density=1 => Uniform distribution
%  <1  => less dense around the center
%  >1  => denser around the center

option=1; % 1 => Increases the radius. 

if ~exist('density') density=1; end
if ~exist('rEquiv') rEquiv=2*(gamma(D/2+1)^(1/D))/sqrt(pi); end 

% --------- Step 1. Direction
l = 0; 

for j=1:1:D
    x(j) = randn; 
    l = l + x(j)*x(j);
end
    
l=sqrt(l);

% --------- Step 2. Random radius
r=rand;
if option==1
  r=r*rEquiv;
end

alpha=density/D;
r=r^alpha;

x= r*radius*x/l;
   
end
