%=================================================================== around
function xAround=around(x,rank,density, rEquiv)
% Samples a position "around" a given one, x(rank)
[N,D]=size(x);
option=1; % 0 => along each dimension
%* 1 => hypersphere. Seems better

switch option
  case 0
    nSum=2; % The higher nSum the more similar to Gaussian
            % is the distribution
    % 1 => uniform 
    % 2 => triangle
    % ...
    
    dNear=dNearD(x,rank);
    
    for d=1:D
      xAround(d)=bellLike(x(rank,d)-dNear(d),x(rank,d)+dNear(d),1,nSum);
    end
    
    
  case 1 % Inside a hypersphere
    % Finds the nearest to x(rank)
    radius=2*D; % Arbitrary big value
    for n=1:N
      if n==rank continue; end
      dist= pdist([x(rank,:);x(n,:)],'euclidean');
      if dist<radius radius=dist; end
    end
    
    % Uses the distance as a radius to sample in a hypersphere
    xAround=x(rank,:)+alea_sphere(D,radius,density,rEquiv);
end

% Confinement
xAround=min(1,max(0,xAround));
end
%============================================================= Nearest by D
function dNear=dNearD(x,rank)
% For each dimension d, finds the minimum distance between x(rank,d)
% and the other x(:,d)
[N,D]=size(x);

for d=1:D
  dd=abs(x(:,d)-x(rank,d));
  [dd,Ind]=sort(dd);
  dNear(d)=dd(Ind(2));
  %dNear(d)=dd(Ind(3));
end
  
end
