function [sr,srSigma,FEmean]=diffAnalys(diffFE)
global plot10000
sr=nan;
srSigma=nan;
FEmean=nan;

N=length(diffFE); % Number of runs
FEmean=mean(diffFE);

% Estimation of the success rate
sr=1-sum(diffFE==Inf)/N;

% Estimation of the standard deviation
class=100; % In case N is big enough (typically at least 1000)
sampleNb=round(N/class);
if sampleNb<10  % If N is too small
  sampleNb=10;
  class=round(N/10);
end

if class==0
  fprintf('\n *** To few data to estimate the standard deviation')
  return
end

for b=1:class
  sample=diffFE(randi(N,1,sampleNb));
  srSample(b)=1-sum(sample==Inf)/sampleNb;
end

srSigma=std(srSample);

% Just to see if the distribution looks more or less normale
if plot10000
figure
h=histogram(srSample);
drawnow
end
end