function 	[x,f, FEs,xNew,fNew]=initRand(Nnew,LB,UB,x0,f0,fun,opt_f,FuncAddr,FEs,...
  quantis,centerRate)
%	Nnew= number of positions to (re)initialise
%global nExper nbExperiment
global onesD

D=length(LB);
N=length(f0); % Is null at the very beginning

%		Initialisation
%{
 At the very beginning, we know nothing except the search space.
In such a case, it is easy to prove that the best first point should be
the centre of the search space, for it minimise the risk or error.
However, for some problems it may be an unefficient approach
if this center is a local minimum.
That is why we do that only for some runs, according to the
parameter centerRate.
%}
option=1; % 0 => constant threshold
          % 1 => random threshold. Seems better over 100 runs

% All variables are first supposed to be continuous
 begin=1;
 
if N==0 % Very first initialisation
  switch option
    case 0
      if rand<centerRate
        xNew(1,1:D)=0.5*onesD;  % Centre
        
        % begin=randi(2);
        begin=2; % Should be equivalent by using centerRate/2, but is not
      end
      
    case 1 
      tresh=centerRate*(1+rand)/2;
      if rand<tresh
        xNew(1,1:D)=0.5*onesD;
        begin=2;
      end
  end 
end % if N==0

% Random initialisation
for n =begin:Nnew
  xNew(n,1:D)=rand(1,D);
end

% If some variable are discrete, it may be necessary to modify them
if  ~isempty(quantis)
  for n=1:Nnew
    xNew(n,:)=quantify(xNew(n,:),quantis);
  end
end

for n = 1 : Nnew
  [fNew(n), FEs]=fEval(	xNew(n,:), fun, opt_f,FuncAddr,FEs, LB, UB,[]);
end

% Completes, if just partial reinitialisation
if N>Nnew
  nOld=N-Nnew;
  x=[x0(1:nOld,1:D); xNew(:,1:D)];
  f=[f0(1:nOld) fNew];
else
  x=xNew;
  f=fNew;
end

% Sorts (increasing order)
[f,Ind]=sort(f);
x=x(Ind,:);
end