function rEquivPlot(D)
%{
For a possible paper, plots rho(d) vs D.

For the dimension d, the sphere of radius rho(d)*r
has the same volume S(rho(d),d) 
as the cube of side 2*r (i.e. C(r,d)=(2*r)^d)
This is useful because the ratio S(r,d)/C(r,d)
tends to zero when d increases.
%}

for d=1:D
  rho(d)=2*(gamma(d/2+1)^(1/d))/sqrt(pi);
end
plot(1:D,rho)
end