function fit=sunnyspell(sunny,x, b)
% SunnySpell potential
% suggested value for b: 0.1
% sunny = set of fixed points (usually sampled by an optimiser)
% x = point to evaluate
 [N,D]=size(sunny);
  
 if ~exist('b') b=0.1; end
 
     % Repulsion N points
    attr=Inf;
    for n=1:N
      a=norm(x-sunny(n,:));
      attr=min(a^b,attr);
    end
   r1=1/attr;
   
    % Repulsion "sides"
    attr=Inf;
    for d=1:D
      attr=min(attr,x(d)^b);
      attr=min(attr,(1-x(d))^b);
    end
    r2=1/attr;
    
    % To maximise isolation
    fit=r1+r2;
end
