%=================================================================  triplet
function trios=triplet(nb,N, triosAll)
% Generates nb different sorted trios  from {1, 2, ..., N}.    .

%	 triosAll contains all possible trios, already sorted.
%		We select at random nb trios amongst the K first ones.
%		As triosAll is sorted in lexicographic order, the first ones are also the
% 	best ones

%trios=triosAll(1:nb,:);
%return

K=N+nb;
triosTemp=triosAll(1:K,:);
nbTrios=K;

for n=1:nb
  %	Selects at random a trio
  ik=randi(nbTrios);
  trios(n,:)=triosTemp(ik,:);
  
  %	Removes the selected trio, to be sure to not resample it
  triosTemp(ik,:)=[]; nbTrios=nbTrios-1;
end
end % End of triplet()