function [fBestExper, fMedianExper, fMeanExper,fStdExper,diffFE]=...
  APS12_Monte(funSet, funArray, budgetArray, Darray)
%{
WARNINGS. This is a research version, with a lot of "bells and whistles"
          that are not necessary for the optimisation process
1. Look for lines with TEST
2. Several code lines are just for test purpose or a posteriori analysis.
   In particular:
  - that is between "if savePos ... end"
  - all what is in two versions, one for Octave, which is free, and one
    for Matlab (>= 2017), which is not.
 3. Many lines are commented, for they also are just for tests.
      See in particular the loop "while effStd>effort*stdRate ..."
      I keep them here for the moment, but you do not need them.
  %}
  %{
 Used to launch APS12:
 Adaptive Population-based Simplex. Portfolio version
(C) Maurice Clerc and Mahamed G.H. Omran
Suggestions and bug reports are welcome (Maurice.Clerc@WriteMe.com)

TO DO, known bugs
- crash on CEC 2013 benchmark
 
 
 LAST UPDATES
 2018-11-14 Exploitation/exploration balance plot
 2018-11-12 Trying to adapt it so that it can be used
                          either with Octave or Matlab
---------------------------------------------------------------------------
 Inputs: funSet = 	1 real-world CEC 2011 benchmark
										2	CEC 2005 benchmark
										3 MyFunctions benchmark
                    4 CEC 2013 benchmark
										
For each set, see get_fun_infos.m in the corresponding directory
for details.
										
         funArray = array of function indices
 ---
Note: for Lennard-Jones (in MyFunctions), the function code
is 1000+nb_of_atoms.
 For example, to run it with 10 atoms, the command is
 >>APS12_Monte(3,1010) with automatic limited budget (13400 in this case)
 or
 >>APS12_Monte(3,1010,20000) with at most 20000 fitness evaluations
 
 It means you can test for different numbers of atoms with a command like
 >>APS12_Monte(3,[1010 1020 1030])
 and the results are saved in different files
 ---
		budgetArray = budget in terms of number of function evaluations (FEs)
    Darray = dimension of each problem. ONLY for CEC 2005

 ----  Example for all the CEC 2011 functions:
 >>funArray=[1:10 111:119,1110,12,13];
 Warning: apparently, there is a bug in the evaluation for 1110
				(constraint weigth set to zero). Therefore, it is identical to 118
	>>budgetArray=100*[60	134	24 24	134	134	109	64 275 84	268	360	60	88 94...
 154	289	240	240	240	124	114];
 >>APS12_Monte(1,funArray, budgetArray);

 If you want to use the default "limited budget" array, just
 >>APS12_Monte(1,funArray);

 For 150,000 FE on n functions of CEC2011
 >>APS12_Monte(1, [list of n functions], 150000*ones(1,n));
 
 ---- Example for 25 CEC 2005 functions (in dimension 10)
 >>APS12_Monte(2,[1:25],[],10*ones(1,25))
  %}
  
  %{
  Special cases
----------------
    Which generated landscapes:
  >>APS12_Monte(3,10000,<budget>)
  In this case you have to select a landscape in the Landscapes directory.
  
  Note: You can create/manipulate landscapes by running LandGener
  in the Landscapes directory

    TSP (see get_info where the txt file is selected
    You can set nbExperiment=
    >>APS12_Monte(3,9,20,5);
 Note: APS is NOT specifically designed for TSP, so it is far to be good.
Actually there is even still a small bug in the code (may crash; in that case
just rerun).
  %}
  
  %{
WARNING. Written with Matlab 2017
 Some instructions are not valid for older versions.
  In particular:
 1)  [variable, ~] is not accepted. Replace ~ by anything else, say xxx
 2) randi(n) (a random integer in {1, ...,n}
 3) in createResults, datetime( )
 4) highlight( )  for plot for TSP
 5) in strategApply, case {3 4}, optimoptions for fmincom
  and maybe more.
  
  Workarounds for 1, 2, 3 are easy to find. 4 is is anyway just
  experimental.
  More difficult for 5.
  %}
  
  %{
  Comparisons
  On a given problem, if you have the results with some other algorithms
  and over the same number of runs, you can use the quick comparison
  method used in compareResults.m
  To see an example on the CEC2011 problem 5
  (with limited budget 13400 evaluations) just try
  >> compareResults
  %}
  
  global isOctave % If not Octave, implicitly Matlab
  isOctave = exist('OCTAVE_VERSION', 'builtin') ~= 0;
  if isOctave
    pkg load statistics
    pkg load optim
    more off
  end
  
  global  initial_flag	% Needed for CEC 2005 benchmark
  initial_flag = 0;
  global diagonal zerosD onesD  % For the normalised search space
  global nExper nbExperiment
  
  global xTot; xTot=[];% All sample positions (except if strategy 3 is used)
  global fTot; fTot=[]; % All f values, (")
  
  global signature; % If true, keeps all positions, and plots them (only 2D)
  global savePos;% If true, saves all sampled positions and their values,
  % for future tests
  
  % To analyse the exploitation/exploration balance
  % (needs savePos=true)
  global nExploit exploType exploitK
  %nExploit=[];
  
  %------------------------
  signature=false; % APS12_Monte(3,-1,1000), with nbExperiment=10
  savePos=false; % If true, save all positions for further analysis
  exploType=0; % 0 => exploitation domains are D-spheres
  % 1 => D-cubes
  exploitK=0; % Rate to define the number of "good" points to count exploitation
              % 0 => only the best one
              % 1 => all points
  % Useful only if savePos=true
  % 0 => only the best point.
  
  
  verbose=0; % 0 => almost no display
  % 					 1 => more information (after each improvement, for example)
  plotDistrib=0; % 1 => plots the distribution of the best results
  nbBins=10; % Number of bins for the CDF plot
  
  %------------------------
  global TSP cities % Just for TSP problems
  
  %------------------------
  global diffEps  diffAnalysis % Specific to functions built for
  % difficulty analysis
  % codes (3,10000). See MyFunction
  global fStar
  global plot10000
  plot10000=false; % To plot or not the 1D or 2D landscapes generated by
  %                   LandGener (function code 10000)
  plotFunc=false; % To plot or not others 1D or 2D landscapes
  
  % fStar=0; %*** TO MODIFY. Best value for each function in their definitions
  
  %---------------------------  For Sunnyspell
  global sunny
  
  %------------------------------------------- Checks parameters
  if exist('budgetArray','var')
    bA=length(budgetArray);
    fA=length(funArray);
    if bA>0 && bA ~= fA
      error('\nERROR: Number of budgets (%i) and functions (%i) are different',...
        bA,fA);
    end
  end
  %---------------------------------------------Options, for test purpose
  %fprintf('\n=========== APS12_Monte\n')
  
  nbExperiment=10; % Number of experiments.
  %{
	An "experiment" is the complete use of the "budget"
 	For fair comparisons, for a given problem, the best result
	of each experiment is recorded, and the _distribution_ of these results
	gives us a good idea of the performance of the method on this problem
	This distribution itself can be plotted, or at least summarised
	by (mean, std. dev, median).
	Note that for a correct estimation, nbExperiment should be
	at least 100. See the results in the files
	Recap.txt, Table.txt, Exper.txt, Intermed.txt
	You may also apply later compareResults() for a comparison based on
	a user-defined quality function.
  %}
  restartRate=0.1;  % 0.1. If positive, each time a stagnation seems probable
  %							a specific treatment is applied
  %
  expAlpha=0.5;			% 0.5,  To modify expansion
  
  contractOption =0; % To modify contraction. See strategApply
  %                   *0 => pseudo-contraction
  %                   1 => classical contraction
  %                     if=1, contractGamma is not used
  
  contractGamma=-1 ; %1/3;To modify contraction. WARNING. Contraction may
  %									induce a bias towards the point contractGamma*ones(1,D)/2);
  %							-1   Negative value => automatic => reduces bias
  
  strategArray=[1 2 3 ]; % Suggested [1 2 3] or [1 2 4]
  %									 Portfolio of strategies
  %									1 Expansion
  %									2 Contraction
  %									3 Local search, fmincon (Matlab Optimization toolbox,
  %     						4 Like 3, with more diversity (see strategApply)
  %
  popSizeType = 0; %  0.   Uses a formula to define the population size
  %                       (see popSize( ))
  % 								if -N, then the size is N  (ex. -90). N must be >=6
  
  keepRate =0.9 ; % 0.90  For elitist selection
  %global searchSpaceExpand  % For tests with Loop
  searchSpaceExpand=0; % 0.3; % If >0 a new position may be outside
  % the real search space its value is the one of another
  % position inside the search space (more or less
  % the nearest one, but not always)
  
  % global centerRate   % For tests with Loop
  
  centerRate=0; %0.4  Rate of runs for which the first
  %                initialisation point is the center of the search space
  discrete=false; % Experimental. If true the search space is discretized
  % (see below)
  
  density=3/2; % For random sampling inside a hypersphere
  %               (see alea_sphere())
  expBeta=0.75; % 0.3, 0.6, 0.75.  For stagnation detection
  alphaRadius=1; % Radius coefficient for exploitCheck
  
  %------------------------------
  %{
  For difficulty analysis, when the position x*
  % of the minimum is known, and its value f(x*)
  diffX(diffEpsX)= median number of FEs needed to have
  ||xBest-x*|| < diffEpsX
  diffF(diffEpsf)=median number of FEs needed to have
  |fBest-f(x*)| < diffEpsF
  %}
  
  diffAnalysis=0; % 0 => no analysis, 1 => on x, 2 => on f
  diffEps=0.001; % Used only if diffAnalysis>0
  nExploit=zeros(nbExperiment, max(budgetArray));
  
  %-----------------  for Sunnyspell test
  nbSunny=6;
  
  %------------------------------------Prepares files to save the results
  
  
  stratString=num2str(strategArray);
  stratString=strrep(stratString,' ','_');
  
  results=createResults('APS12'); % Creates the directory for results,
  %                                 with date and time
  fprintf('\n Results will be saved in %s',results);
  
  titles=' restartRate expAlpha strategies popSizeType';
  titles=strcat(titles,...
    'keepRate searchSpaceExpand centerRate density discrete');
  formats='\n  %1.2f %1.2f %s %i %f %f %f %f %i \n';
  
  for funct = 1:length(funArray)
    fun=funArray(funct);
    
    FileName{funct} = [results, num2str(funSet), '[',num2str(fun),']'];
    fid(funct) = fopen(FileName{funct}, 'w');
    fprintf(fid(funct),titles);
    fprintf(fid(funct),formats,...
      restartRate, expAlpha, stratString,  popSizeType, keepRate,...
      searchSpaceExpand, centerRate,density,discrete);
    
    FileNameT{funct}=[FileName{funct} 'Table.txt'];
    fidT(funct) = fopen(FileNameT{funct}, 'w');
    fprintf(fidT(funct),titles);
    fprintf(fidT(funct),formats, ...
      restartRate, expAlpha, stratString,  popSizeType,keepRate,...
      searchSpaceExpand, centerRate, density,discrete);
    fprintf(fidT(funct),...
      '\nProblem Best Median Mean Std Worst Success_rate\n');
    
    FileNameE{funct}=[FileName{funct} 'Exper.txt'];
    fidE(funct) = fopen(FileNameE{funct}, 'w');
    fprintf(fidE(funct),titles);
    fprintf(fidE(funct),formats, ...
      restartRate, expAlpha, stratString,  popSizeType,keepRate,...
      searchSpaceExpand, centerRate, density,discrete);
    fprintf(fidE(funct),'\nDistribution of the best results');
    
    if plotDistrib==1 % CDF_
      FileNameCDF{funct}=[FileName{funct} 'CDF.txt'];
      fidCDF(funct) = fopen(FileNameCDF{funct}, 'w');
      fprintf(fidCDF(funct) ,'Result  CDF');
    end
    
    % Saves parameters
    FileNameI{funct}=[FileName{funct} 'Intermed.txt'];
    fidI(funct) = fopen(FileNameI{funct}, 'w');
    fprintf(fidI(funct),titles);
    fprintf(fidI(funct),formats, ...
      restartRate, expAlpha, stratString, popSizeType,keepRate,...
      searchSpaceExpand, centerRate, density, discrete);
    
    % Difficulty analysis
    FileNameA{funct}=[FileName{funct} 'diffAnalysis.txt'];
    fidA(funct) = fopen(FileNameA{funct}, 'w');
    fprintf(fidA(funct),'diffAnalysis %f, diffEps %f ',...
      diffAnalysis,diffEps);
    fprintf(fidA(funct),'\nFEmax Success_rate Std.dev  ');
    
  end
  
  fName=[results, 'Recap.txt'];
  fidRecap=fopen(fName,'w');
  fprintf(fidRecap,'Function Best Median Mean Std_dev Worst Success_rate \n');
  
  
  %------------------------------------------Defines the repertories to use
  switch funSet
    case 1
      CEC2011Dir = 'CEC 2011 Benchmarks';
      addpath(['./', CEC2011Dir]);
      addpath(['./', CEC2011Dir, '/Probs_1_to_8']);
      addpath(['./', CEC2011Dir, '/Prob_9_Transmission_Pricing']);
      addpath(['./', CEC2011Dir, '/Prob_10_Circ_Antenna']);
      addpath(['./', CEC2011Dir, '/Probs_11_ELD_Package/DED Codes']);
      addpath(['./', CEC2011Dir, '/Probs_11_ELD_Package/ELD Codes']);
      addpath(['./', CEC2011Dir,...
        '/Probs_11_ELD_Package/Hydrothermal Codes']);
      addpath(['./', CEC2011Dir, '/Probs_12_to_13_Package']);
      addpath('./MyFunctions');
      GetFunInfoAddr = @CEC2011get_fun_info;
      FuncAddr = @CEC2011func;
      fprintf('\nCEC 2011 Real world problems');
      
    case 2
      % Warning. Be sure to use the (slightly) modified codes
      % given with this one, for there are some bugs
      % in the Matlab codes of the original benchmark
      addpath('./CEC 2005 Benchmarks');
      addpath('./MyFunctions');
      GetFunInfoAddr = @CEC2005get_fun_info;
      FuncAddr = @CEC2005func;
      fprintf('\nCEC 2005 Problems');
      
    case 3
      % Other functions:
      %		Alpine, Tripod, Gear Train, Pressure vessel, etc.
      %			See /Myfunctions/get_fun_info.m	for details
      addpath('./MyFunctions');
      addpath('./Landscapes');
      
      GetFunInfoAddr = @get_fun_info;
      FuncAddr = @func;
      fprintf('\nMy functions');
      
    case 4
      addpath('./CEC 2013 Benchmark');
      addpath('./CEC 2013 Benchmark/input_data');
      addpath('./MyFunctions');
      
      % To do once before
      % mex "./CEC 2013 Benchmark/cec13_func.cpp"  (add -DWINDOWS if under Windows)
      % => cec13_func.mexa64
      % Seems there is something wrong, tough
      fprintf('\nCEC 2013 Problems');
      FuncAddr=4;
      % Example:
      % APS12_Monte(4,1,100,2) => CRASH!!
  end
  %=======================================================================
  nbFunc=length(funArray);
  coeff=2450;	%  For "Limited budget" approach
  %-------------------------------------------------- Loop on functions-- 1
  for funct = 1:nbFunc
    clear valuex % To clear the persistent variable DA in value.m
    %------ Clear some persistent variables used in CEC 2005 benchmark code
    if funSet==2
      % (see benchmark_func)
      clear fhd f_bias
      clear o
      clear M
      clear a b A alpha
      clear fun_num func sigma lamda bias
    end
    
    fun=funArray(funct);
    TSP=funSet==3 && fun==91;
    name=strcat('Function_',num2str(fun));
    
    switch funSet
      case 2 % CEC2005
        D=Darray(funct);
        [LB, UB, opt_f, err] = GetFunInfoAddr(fun,D);
        quantis=[];
        
      case 3
        if exist('Darray','var')
          D0=Darray(funct);
        else D0=[];
        end
        
        [LB, UB, D, opt_f, err,quantis] = GetFunInfoAddr(fun,D0);
        
        if D==0
          warndlg('You told me to give up')
          return
        end
        
      case 4 % Specific CEC 2013
        D=Darray(funct);
        quantis=[];
        LB=-100*ones(1,D);
        UB=-LB;
        opt_f=[];
        
      otherwise
        [LB, UB, D, opt_f, err] = GetFunInfoAddr(fun);
        quantis=[];
    end % switch funSet
    
    if ~isempty(opt_f)
      fStar=opt_f;
    else
      fStar=0;
    end
    
    if diffAnalysis==0 diffEps=err; end
    
    
    % Just to save computing time, now we know the dimension D
    xBest=zeros(nbExperiment,D);
    zerosD=zeros(1,D); % For normalised search space
    onesD=ones(1,D);
    diagonal=sqrt(D);
    
    rEquiv=2*(gamma(D/2+1)^(1/D))/sqrt(pi);% For sampling inside
    %                                         a hypersphere
    % (see around()), so that the sphere of radius rEquiv*r has
    % the same volume as the D-cube of side 2*r
    
    % Normalises quantis
    if ~isempty(quantis)
      quantis=quantis./(UB-LB);
    end
    
    % Forced discretisation of the search space
    if discrete
      zero=D*eps; % 2*eps
      quantis=max(zero, quantis);
    end
    
    %----------------------------------------------------------------------
    fprintf('\nProblem %i, dimension %i',fun,D);
    
    %----------------------------------------------------------------------
    % Initialise the RNG for reproducible results
    if isOctave
      rand('seed',123456789);
      randn('seed',123456789);
      
    else % Matlab
      rng(123456789);
      %rng('shuffle'); % % For unreproducible results
      %             (except just statistically)
    end
    
    % Warm up the RNG
    for t=1:10000	rand;	end
    %----------------------------------------------------------------------
    
    if plotFunc % Plot the landscape (D=1 or 2)
      landPlotF(fun,opt_f,FuncAddr, LB, UB,quantis);
    end
    
    
    if exist('budgetArray', 'var') && ~isempty(budgetArray)
      FEmax=budgetArray(funct);
    else % Default budget if no user-defined one
      FEmax=100*floor(coeff*sqrt(D)/100);
    end
    
    %----------------------------------------------------------------------
    FEintermed=floor(FEmax*(1:30)/30); % Intermediate FE values for which
    %																	results will be saved on a file
    nbIntermed=length(FEintermed);
    
    for interm=1:nbIntermed
      fprintf(fidI(funct),'%i ',FEintermed(interm));
    end
    
    % Defines the population size
    D=length(LB);
    N=popSize(popSizeType,D);
    
    fprintf('\nPopulation size %i',N);
    fprintf(fidA(funct),'\n Population size %i',N);
    
    %----------------------------------------------------------------------
    % Saves search space
    fprintf(fid(funct),'\n');
    for d=1:D
      fprintf(fid(funct),'%1.4e ',LB(d));
    end
    fprintf(fid(funct),'\n');
    for d=1:D
      fprintf(fid(funct),'%1.4e ',UB(d));
    end
    %----------------------------------------------------------------------
    % Defines trios. Each trio is sorted, and the set is also sorted
    % As later we will select at most 2N ones, there is surely a clever way
    % to do that! On the other hand, it is done just once.
    triosAll=nchoosek(1:N,3);
    
    %---------------------------------------------------------- Experiments
    %  testEffort=true; %****TEST avec FEmax
    
    % treshSR=0.8; % ***
    % FEmin=536;% ***
    %  stdRate=0.1; % ***
    %   nbSeqMin=5; % ***
    % nbExperiment=100;% ***
    %err=0.00035;
    
    %seqFE=[];
    % nbSeqFE=0;
    % effort=1000;
    % effStd=1000;
    
    %while effStd>effort*stdRate % While the standard deviation of the effort
    %                           is too big
    %if 1==1
    
    sr=0;
    %FEmax=FEmin;
    %while sr<treshSR  % While the success rate is not big enough
    %if 1==1
    %for FEmax=FEmin:FEmin % Increase FEmax I
    %if 1==1
    % if 1==1
    
    % for diffEps=0.1:0.002:0.2 %***** TEST
    fExper=Inf*(1:nbExperiment);
    %diffFE=Inf(1,nbExperiment); % For difficulty analysis only
    
    
    for nExper=1:nbExperiment
      % rng('shuffle'); % TEST
      fprintf('\n------------------ Experiment %i/%i',nExper,nbExperiment);
      fprintf('\nfunction %i, dimension %i, FEmax %i',fun, D, FEmax);
      
      [xBest(nExper,1:D), fExper(nExper),FEs, intermed,diffStop]= ...
        APS12(funSet, fun, FEmax, opt_f,FuncAddr,LB,UB, expAlpha,...
        contractGamma, contractOption, restartRate,strategArray, N,...
        verbose,FEintermed,...
        keepRate, triosAll,quantis,searchSpaceExpand,centerRate,...
        density, rEquiv,expBeta,alphaRadius);
      
      
      % For difficulty analysis
      if diffAnalysis>0
        if  diffStop
          diffFE(nExper)=FEs;
        end
      end
      
      % Completes the intermediate values
      intermedNb=length(intermed);
      for i=2:intermedNb
        if intermed(i)==Inf intermed(i)=intermed(i-1); end
      end
      intermedMin(1:intermedNb,nExper,funct)=intermed;
      
      % Displays current best result
      fprintf('\n								Min min %1.6e',min(fExper));
      
      % Saves detailed results (best value, best position)
      fprintf(fid(funct),'\n%i %i %1.6e ',nExper, FEs, fExper(nExper));
      fprintf(fid(funct),'\n');
      for d=1:D
        fprintf(fid(funct),'%1.6e ',xBest(nExper,d));
      end
      
    end % for nExper=1:nbExperiment -------------- End of experiments
    
    % -- Plots signature (normally used only for function Plateau 2D (3,-1)
    if signature
      signaturePlot(xTot);
    end
    
    % fprintf('\n diffFE '); disp(diffFE)
    % ------------------------------------------------------- Saves results
    % Saves a table of best results, for later use
    fprintf(fidE(funct),'\nFunction_%i',fun);
    for nExper=1:nbExperiment
      fprintf(fidE(funct),'\n%1.6e',fExper(nExper));
    end
    
    % Success rate
    % if isempty(fMax)
    if isempty(fStar) fStar=0; end
    % ok=sum(abs(fExper-fStar)<err);
    ok=sum(abs(fExper-fStar)<diffEps);
    % else % For _relative_ success rate only. Warning, we assume fMax>0
    %    ok=sum(abs(fExper-fStar)/fMax<err);
    % end
    SR(funct)=ok/nbExperiment;
    sr=SR(funct);
    %fprintf('\n sr %f',sr);
    
    
    %  Best over the experiments
    [fBestExper(funct),Ind]=min(fExper);
    fMedianExper(funct)=median(fExper);
    fMeanExper(funct)=mean(fExper);
    fStdExper(funct)= std(fExper);
    fWorstExper(funct)=max(fExper);
    fprintf(fidT(funct),'\n%i %1.6e %1.6e %1.6e %1.6e %1.6e %f ',fun,...
      fBestExper(funct), fMedianExper(funct), fMeanExper(funct),...
      fStdExper(funct), fWorstExper(funct), SR(funct));
    
    fprintf(fidRecap,'\n%i %1.6e %1.6e %1.6e %1.6e %1.6e %f ',fun,...
      fBestExper(funct), fMedianExper(funct), fMeanExper(funct),...
      fStdExper(funct), fWorstExper(funct),SR(funct));
    
    % Saves the best result
    fprintf(fid(funct),'\nBest position\n');
    for d=1:D
      fprintf(fid(funct),'%1.20e ',xBest(Ind,d));
    end
    
    % Displays the best position
    fprintf('\nBest position:\n')
    disp(xBest(Ind,:));
    if funSet==3 && fun==18
      fprintf('\n   Check solution %e (add Ntarget)',xBest(Ind,1)^3 +xBest(Ind,2)^3 +xBest(Ind,3)^3)
    end
    
    fprintf('\n FEmax %i',FEmax);
    fprintf('\n funset %i function %i', funSet, fun);
    fprintf('\nOver %i experiments (%i evaluations each): \n ',...
      nbExperiment, FEmax);
    fprintf('min         median       mean      std._dev. success_rate')
    fprintf('\n%1.4e  %1.4e  %1.4e %1.4e %f \n',...
      fBestExper(funct), fMedianExper(funct), fMeanExper(funct),...
      fStdExper(funct),SR(funct));
    
    % ------------------------------------ For TSP, highlights the solution
    if TSP
      xBest=max(1,round(xBest));
      
      highlight(cities,[xBest(Ind,:),xBest(Ind,1)],...
        'EdgeColor','r','LineWidth',2)
    end
    
    % ---------------------------------- For Sunnyspell 2D
    
    if funSet==3 && fun==15
      X=sunny(:,1);
      Y=sunny(:,2);
      figure
      scatter(X,Y,50,'b','filled')
      hold on
      scatter(xBest(1), xBest(2), 70, 'r')
      axis([0 1 0 1]);
      hold off
    end
    
    % -------------------------- Plots the distribution of the best results
    if plotDistrib==1
      %{
     Plots the distribution of the best results
     and computes some informations about its shape.
     Useful only if the number of experiments is big enough
    (typically >= 100).
     Note that the data are anyway in the file Exper.txt
    
    	With some strategies that makes an intensive use
    	of randomness, the results are "stabilised"
    	only after at least 1000 experiments
    	So, BE VERY CAREFUL WHEN COMPARING RESULTS
      %}
      
      
      %	Plots the distributions of the best results (density and cumulated)
     
      mini=fBestExper(funct); maxi= fWorstExper(funct);
      if mini<maxi
      CDF=CDFplot (fExper,mini,maxi,nbBins,2,name);
      % Save
      CDFx=CDF(1,:); CDFy=CDF(2,:);
      for r=1:length(CDFy)
        fprintf(fidCDF(funct),'\n %e %e',CDFx(r),CDFy(r));
      end
      end
    end %  if plotDistrib
    
    %----------------------------------------------------------------------
    % Saves intermediate results (averaged over the number of experiments)
    fprintf(fidI(funct),'\n Intermediate Min \n');
    for interm=1:intermedNb
      u=min(intermedMin(interm,:,funct));
      fprintf(fidI(funct),'%1.6e ',u);
    end
    
    fprintf(fidI(funct),'\n Intermediate Median \n');
    for interm=1:intermedNb
      u=median(intermedMin(interm,:,funct));
      fprintf(fidI(funct),'%1.6e ',u);
    end
    
    %----------------------------------------------------------------------
    % Saves all positions for TEST purpose (entropy, in particular)
    if savePos
      FileNameAllPos{funct}=[FileName{funct} 'All pos.txt'];
      fidAllPos(funct) = fopen(FileNameAllPos{funct}, 'w');
      [nbPos, D]=size(xTot);
      
      for n=1:nbPos
        for d=1:D
          fprintf(fidAllPos,'%1.10e ', xTot(n,d));
        end
        fprintf(fidAllPos,'%1.10e \n',fTot(n));
      end
    end
    
    %----------------------------------------------------------------------
    %{
    % If difficulty analysis
    if diffAnalysis>0
      if diffAnalysis==1 s='x'; else s='f'; end
   
      fprintf('\n-------\n Difficulty on %s, threshold %f ',s, diffEps);
      [sr,srSigma,FEmean]=diffAnalys(diffFE);
      fprintf('\n success rate %f over %i experiments \n',...
       sr,  nbExperiment);
     fprintf('\n Estimated standard deviation %f \n',srSigma);
     fprintf('\n FEmean %f \n',FEmean);
     
     fprintf(fidA,'\n %f %f %f',sr,srSigma,FEmean);
     
      Ind=find(diffFE<Inf);
       diffFEsuccess=diffFE(Ind);
       fprintf('\nN=%i, over successful runs %f \n',N)
       fprintf('\n  Fmean %f, Fmedian %f',...
         mean(diffFEsuccess), median(diffFEsuccess))
    end
    %}
    % FEmax=FEmax+1;
    %end % for FEmax=FEmin:FEmin
    %end % while sr
    
    %{
       nbSeqFE=nbSeqFE+1;
       seqFE(nbSeqFE)=FEmax;
      if  nbSeqFE>=nbSeqMin
        effort=mean(seqFE);
        effStd=std(seqFE);
      end
    %}
    % fprintf('\n nSeq %i', nSeq) %; disp(seqFE)
    % fprintf('\nN %i, nbSeqFE %i,  FEmax %i , \n',N,nbSeqFE, FEmax)
    % fprintf('\n')
    % pause
    
    %end %while  effStd
    
    %{
fprintf('\n N=%i, err=%f, treshSR=%f => nbSeqFE= %i,  effort= %f, stdev %f \n',...
  N,err,treshSR,nbSeqFE, effort, effStd);
fprintf('\n seqFE ');disp(seqFE)
    %}
    
    if savePos
      % Plot the balance curve (Averaged)
      expl=mean(nExploit,1);
      %disp(nExploit)
      for n=1:FEmax
        balance(n)=expl(n)/(n-expl(n));
      end
      balancePlot(balance);
      %disp(balance)
    end
  end %for funct = 1:nbFunc  -----------------------End of loop on functions
  fclose("all")
end

