function nExploit=exploitCheck(xTot,xNew,nExploit0,exploType,exploitK,alphaRadius)
  global fTot 
  %global xTot
  %{
   Check if the new point is inside the exploitation domain
   of a previous sampled point amongst the K best ones
   
   xTot(1:N,1:D): list of ALL the N evaluated points in the search space of
              dimension D. The list must be sorted by increasing value of
              the function (in case of minimisation)
   xNew(1:D): the new point to check
   nExploit(1:N): numbers of exploitation points. Note we necessarily have
                either nExploit(n+1)=nExploit(n) or =nExploit(n)+1
   exploType: 0 => D-spheres, 1 => D-cubes
   exploitK: rate, so that exploitK*N = number of "good" positions
              to consider to check exploitation
  %}
 
  [N,D]=size(xTot);
  if N==0
   nExploit=0;
  return 
end
  
  if N==1
   nExploit=1;
  return 
end


  
  if ~exist('alphaRadius')
    alphaRadius=1;
  end
  
   K=max(1,round(exploitK*N));
%---- Comment or remove this if fTot is already sorted by the main algorithm
    if exploitK<1
      nx=size(xTot);
      fS=fTot(1:nx);
      [fS,Ind]=sort(fS);
      xTot=xTot(Ind,:);
    end
%---- 
   [j,rJ]=knnSearch(xTot(1:K,:),xNew,1); % rank j of the nearest one,
                                % amongst the exploitL best ones, at distance rJ
   xTemp=xTot;
   xTemp(j,1)=2*D; % To not take into account xTot(j,:) itself
   [k,rK]=knnSearch(xTemp,xTot(j,:),1); % the nearest to xTot(j,:), that defines
                                % the radius rK of the exploitation domain

    if exploType==1 % D-cubes
     rJ=max(abs(xTot(j,:)-xNew));
     rK=max(abs(xTot(j,:)-xTot(k,:)));
   end
  
     if rJ<alphaRadius*rK
       nExploit=nExploit0+1; 
    else
    nExploit=nExploit0;
      end
  end
  
